routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
use Spatie\Permission\Models\Role;
use Spatie\Permission\Models\Permission;
use Illuminate\Support\Facades\Route;

// route admin login logout
Route::group(['prefix'=>'admin','namespace'=>'Admin'],function (){
    Route::get('/login', 'LoginController@showLoginForm')->name('admin.login');
    Route::post('/login', 'LoginController@login')->name('admin.login');
    Route::get('/logout', 'LoginController@logOut')->name('admin.logout');

    //shjhghhjhj
});
// route admin quản lý user
Route::group(['prefix'=>'admin/user','namespace'=>'Admin', 'middleware'=>['admin']],function (){
    // Show List Admin
    Route::get('/list', 'UserController@showList')->name('list.user');
    Route::get('/get-list','UserController@getAll')->name('get.data.user');

    //Add
    Route::get('/add', 'UserController@getAddUser')->name('add.user');
    Route::post('/add', 'UserController@postAddUser');

    //Delete
    Route::get('/delete/{id}', 'UserController@getDeleteUser')->name('delete.user');

    //Edit
    Route::get('/edit/', 'UserController@getEditUser')->name('edit.user');

    Route::post('/edit-user/{id}', 'UserController@postEditUser')->name('post.edit.user');

});
// route admin
Route::group(['prefix'=>'admin', 'namespace'=>'Admin', 'middleware'=>['admin']],function(){
    Route::get('/','AdminController@home')->name('admin.home');
    Route::resource('roles','RoleController');
    Route::resource('users','UserController');
    Route::get('show-role', 'RoleController@showRole')->name('show.role');

    //Category
    Route::group(['prefix'=>'category'],function(){

        //Add
        Route::get('/', 'CategoryController@formAdd')->name('category.add');
        Route::post('/', 'CategoryController@submitAdd')->name('add.category');

        //Delete
        Route::get('/delete/{id}', 'CategoryController@delete')->name('category.delete');

        //Edit
        Route::get('/edit/{id}', 'CategoryController@formEdit')->name('category.edit');
        Route::post('/edit/{id}', 'CategoryController@submitEdit');

    });

    //Attribute
    Route::group(['prefix'=>'attribute'],function(){
        //Show
        Route::get('/', 'AttributeController@getAll')->name('attribute.list');

        //Add
        Route::get('/add', 'AttributeController@formAdd')->name('attribute.add');
        Route::post('/add', 'AttributeController@submitAdd');

        //Delete
        Route::get('/delete/{id}', 'AttributeController@delete')->name('attribute.delete');

        //Edit
        Route::get('/edit/{id}', 'AttributeController@formEdit')->name('attribute.edit');
        Route::post('/edit/{id}', 'AttributeController@submitEdit');

    });

    //Value
    Route::group(['prefix'=>'value'],function(){
        Route::get('/delete/{id}', 'ValueController@delete')->name('value.delete');
    });

    //Product
    Route::resource('product', 'ProductController');
    // get attribute value product
    Route::get('get-att-value', 'ProductController@getAttValue')->name('get.att');
    //get child category
    Route::get('get-cate-child', 'ProductController@getChildCategory')->name('get.child.cate');
    //datatable product
    Route::get('dt-product', 'ProductController@anyDatatable')->name('dt.product');
    Route::get('list-product', 'ProductController@listProduct')->name('list.product');
    //vendor product
    Route::get('dt-vendor-product', 'ProductController@anyDataTableProductVendor')->name('dt.vendor.product');
    Route::get('list-vendor-product', 'ProductController@getListProductVendor')->name('list.vendor.product');
    Route::get('vendor/product/{productId}', 'ProductController@editProductVendor')->name('edit.vendor.product');
    Route::get('confirm-product-vendor', 'ProductController@confirmProductVendor')->name('confirm.product.vendor');
    Route::get('show-admin-confirm-product', 'ProductController@getAdminConfirmProduct')->name('admin.confirm.product.vendor');

    Route::post('deny-confirm-product', 'ProductController@denyConfirmProduct')->name('deny.confirm.product');
    Route::get('revert-status-product', 'ProductController@revertStatusProduct')->name('revert.status.product');

    // get detail cate
    Route::get('detail-cate', 'CategoryController@detailCategory')->name('detail.cate');
    Route::post('update-cate', 'CategoryController@updateCategory')->name('category.update');
    //ajax line cate
    Route::get('change-line-cate/{cateId}', 'CategoryController@changeLineCate')->name('line.cate');

    Route::get('get-att-product', 'ProductController@getAttributeValueProduct')->name('get.att.product');
    Route::get('update-att-product', 'ProductController@updateAttProduct')->name('update.att.product');

    Route::get('edit-image-product/{productId}', 'ProductController@editImageProduct')->name('edit.image.product');
    Route::post('edit-image-productPost', 'ProductController@posteditImageProduct')->name('POSTedit.image.product');
//    ajax show image product
    Route::get('get-detail-image', 'ProductController@getDetailImageProduct')->name('get.detail.image');
    Route::post('update-image-product', 'ProductController@updateImageProduct')->name('update.image.product');
    Route::get('update-image-product/{imageId}', 'ProductController@deleteImageProduct')->name('delete.image.product');

    //test tab
    Route::get('add-configurable-product','ProductController@tabAddProduct')->name('product.add.exProduct');
    Route::post('add-product','ProductController@addProductTab')->name('product.tab.add');
    Route::post('add-subproduct','ProductController@addSubProductTab')->name('product.tab.addSubProduct');
    // ajax addSubProductToTable
    Route::get('add-subproduct-table','ProductController@addSubProductToTable')->name('product.ajax.addSubProduct');
    Route::get('clear-subproduct-table','ProductController@clearSubProductFromTable')->name('product.ajax.clearSubProduct');
    Route::get('add-simple-product','ProductController@tabAddSimpleProduct')->name('product.add.SimpleProduct');
    Route::post('add-simple-product','ProductController@addSimpleProductTab')->name('product.tab.add.SimpleProduct');
    //end tab
    //test image upload
    Route::get('add-image-product',function (){
        return view('admin.product.tab.add.image');
    });
    Route::post('add-images-product/','ProductController@addThumbnailProduct');
    //end image upload
    // update sub product
    Route::post('update-sub-product/','ProductController@updateSubProduct')->name('update.subproduct');
    // delete sub product
    Route::get('delete-sub-product/{productId}','ProductController@deleteSubProduct')->name('delete.subproduct');
    // add new product Option
    //Route::get('add-product-option','ProductController@addProductOption')->name('add.product.option');
    //Slider
    Route::group(['prefix'=>'slider'], function(){
        Route::get('/', 'SliderController@getAll')->name('slider.list');
        Route::post('/', 'SliderController@submitAdd')->name('slider.add');
        Route::get('delete/{id}', 'SliderController@delete')->name('slider.delete');
    });

    //Info Contact
    Route::group(['prefix'=>'info'], function(){
        Route::get('/', 'InfoController@show')->name('info.show');
        Route::post('/edit', 'InfoController@edit')->name('info.edit');
        Route::post('/store', 'InfoController@store')->name('info.store');
    });
	//Order
	Route::group(['prefix' => 'order'], function(){
		Route::get('update/{id}', 'OrderController@updateStatus')->name('order.update.status');
		Route::get('updateRevert/{id}', 'OrderController@revertUpdate')->name('order.revert.status');
		route::get('deleteOrder/{id}','OrderController@deleteOrder')->name('order.delete');
		// Danh sách order Slider
        Route::get('list_order','OrderController@listorder')->name('order.list');
        Route::get('list_order_finish','OrderController@listorderfinish')->name('Order.list2');
        Route::get('detail-order/{id}', 'OrderController@detailOrder')->name('detail.Order');
	});
    Route::group(['prefix' => 'ads'], function(){
        Route::get('add', 'AdsController@addAds')->name('ads.add');
        Route::post('dt-add','AdsController@dtAddAds')->name('dt.ads.add');

        Route::get('edit/{id}', 'AdsController@editAds')->name('ads.edit');
        Route::post('update/{id}', 'AdsController@updateAds')->name('ads.update');

        Route::get('delete/{id}', 'AdsController@deleteAds')->name('ads.delete');

        Route::get('dt-list', 'AdsController@dtListAds')->name('dt.ads.list');
        Route::get('list', 'AdsController@listAds')->name('ads.list');
        //show
    });

    // vendor
    Route::group(['prefix' => 'vendor'], function(){
        Route::get('list-vendor', 'CustomerController@showListVendor')->name('list.vendor');
        Route::get('dt-vendor', 'CustomerController@dataTableVendor')->name('dt.vendor');
        Route::get('detail-vendor/{vendorId}', 'CustomerController@showDetailVendor')->name('detail.vendor');
        Route::get('confirm-vendor/', 'CustomerController@confirmVendor')->name('confirm.vendor');
        Route::get('delete-vendor/{id}', 'CustomerController@deleteVendor')->name('delete.vendor');
    });
    //Contact
    Route::get('contact','ContactController@index')->name('contact.list');
    Route::get('contact/{action}/{id}','ContactController@action')->name('contact.action');
    Route::post('contact/reply-contact/{id}','ContactController@replyContact');
    Route::get('contact/send-mail/{email}/{title}/{content}','ContactController@sendMailReplyContact')->name('send.mail.contact');


    // Customer

resources/views/admin/partials/footer.blade.php
<footer class="sticky-footer bg-white">
    <div class="container my-auto">
        <div class="copyright text-center my-auto">
            <span>Bản quyền &copy; <script> document.write(new Date().getFullYear()); </script> - Thiết kế bởi
              <b><a href="#" target="_blank">Chưa có tên</a></b>
            </span>
        </div>
    </div>
</footer>

resources/views/admin/partials/nav.blade.php
<nav class="navbar navbar-expand navbar-light bg-navbar topbar mb-4 static-top">
    <button id="sidebarToggleTop" class="btn btn-link rounded-circle mr-3">
        <i class="fa fa-bars"></i>
    </button>
    <ul class="navbar-nav ml-auto">
        <li class="nav-item dropdown no-arrow mx-1">
            <a class="nav-link dropdown-toggle" href="#" id="alertsDropdown" role="button" data-toggle="dropdown"
               aria-haspopup="true" aria-expanded="false">
                <i class="fas fa-bell fa-fw"></i>
                <span class="badge badge-danger badge-counter">3+</span>
            </a>
            <div class="dropdown-list dropdown-menu dropdown-menu-right shadow animated--grow-in"
                 aria-labelledby="alertsDropdown">
                <h6 class="dropdown-header">
                    Alerts Center
                </h6>
                <a class="dropdown-item d-flex align-items-center" href="#">
                    <div class="mr-3">
                        <div class="icon-circle bg-primary">
                            <i class="fas fa-file-alt text-white"></i>
                        </div>
                    </div>
                    <div>
                        <div class="small text-gray-500">December 12, 2019</div>
                        <span class="font-weight-bold">A new monthly report is ready to download!</span>
                    </div>
                </a>
                <a class="dropdown-item d-flex align-items-center" href="#">
                    <div class="mr-3">
                        <div class="icon-circle bg-success">
                            <i class="fas fa-donate text-white"></i>
                        </div>
                    </div>
                    <div>
                        <div class="small text-gray-500">December 7, 2019</div>
                        $290.29 has been deposited into your account!
                    </div>
                </a>
                <a class="dropdown-item d-flex align-items-center" href="#">
                    <div class="mr-3">
                        <div class="icon-circle bg-warning">
                            <i class="fas fa-exclamation-triangle text-white"></i>
                        </div>
                    </div>
                    <div>
                        <div class="small text-gray-500">December 2, 2019</div>
                        Spending Alert: We've noticed unusually high spending for your account.
                    </div>
                </a>
                <a class="dropdown-item text-center small text-gray-500" href="#">Show All Alerts</a>
            </div>
        </li>
        <div class="topbar-divider d-none d-sm-block"></div>
        <li class="nav-item dropdown no-arrow">
            <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button" data-toggle="dropdown"
               aria-haspopup="true" aria-expanded="false">
                <img class="img-profile rounded-circle" src="{{asset('frontend/img/Users')}}/{{Auth::user()->avatar}}" style="max-width: 60px">
                <span class="ml-2 d-none d-lg-inline text-white small">{{Auth::user()->name}}</span>
            </a>
            <div class="dropdown-menu dropdown-menu-right shadow animated--grow-in" aria-labelledby="userDropdown">
                <a class="dropdown-item" href="{{route('edit.user')}}">
                    <i class="fas fa-user fa-sm fa-fw mr-2 text-gray-400"></i>
                    Profile {{\Illuminate\Support\Facades\Auth::user()->name}}
                </a>
                <a class="dropdown-item" href="{{route('admin.logout')}}">
                    <i class="fas fa-sign-out-alt fa-sm fa-fw mr-2 text-gray-400"></i>
                    Logout
                </a>
            </div>
        </li>
    </ul>
</nav>

resources/views/admin/partials/sidebar.blade.php
<ul class="navbar-nav sidebar sidebar-light accordion" id="accordionSidebar">
    <a class="sidebar-brand d-flex align-items-center justify-content-center" href="{{Route('admin.home')}}">
        <div class="sidebar-brand-icon">
        <img src="{{asset('RuangAdmin-master/img/logo/logo2.png')}}">
        </div>
        <div class="sidebar-brand-text mx-3">Web-ban-hang</div>
    </a>
    <hr class="sidebar-divider my-0">
    <li class="nav-item active">
        <a class="nav-link" href="{{route('admin.home')}}">
            <i class="fas fa-fw fa-tachometer-alt"></i>
            <span>Dashboard</span></a>
    </li>
    <hr class="sidebar-divider">
    <div class="sidebar-heading">
        Quản lý Sản phẩm
    </div>
    <li class="nav-item">
        <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#category"
           aria-expanded="true" aria-controls="category">
            <i class="far fa-laugh-squint "></i>
            <span>Quản lý Danh mục</span>
        </a>
        <div id="category" class="collapse" aria-labelledby="headingBootstrap" data-parent="#accordionSidebar">
            <div class="bg-white py-2 collapse-inner rounded">
                <h6 class="collapse-header">Danh mục</h6>
                <a class="collapse-item" href="{{route('category.add')}}">Thêm mới</a>
            </div>
        </div>
    </li>
    <li class="nav-item">
        <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#attribute"
           aria-expanded="true" aria-controls="attribute">

            <i class="far fa-kiss-wink-heart fa-5x"></i>
            <span>Quản lý Thuộc tính</span>
        </a>
        <div id="attribute" class="collapse" aria-labelledby="headingBootstrap" data-parent="#accordionSidebar">
            <div class="bg-white py-2 collapse-inner rounded">
                <h6 class="collapse-header">Thuộc tính</h6>
                <a class="collapse-item" href="{{route('attribute.list')}}">Danh sách</a>
                <a class="collapse-item" href="{{route('attribute.add')}}">Thêm mới</a>
            </div>
        </div>
    </li>
    <li class="nav-item">
        <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#product"
           aria-expanded="true" aria-controls="collapseBootstrap">
            <i class="far fa-angry"></i>
            <span>Quản lý Sản phẩm</span>
        </a>
        <div id="product" class="collapse" aria-labelledby="headingBootstrap" data-parent="#accordionSidebar">
            <div class="bg-white py-2 collapse-inner rounded">
                <h6 class="collapse-header">Sản phẩm</h6>
                <a class="collapse-item" href="{{route('product.index')}}{{"?vendor_id=".\Illuminate\Support\Facades\Auth::id()}}">Danh sách</a>
                <a class="collapse-item" href="{{route('product.create')}}">Thêm mới Sản phẩm</a>
{{--                <a class="collapse-item" href="{{route('add.product.option')}}">Thêm mới Sản phẩm con</a>--}}

                <h6 class="collapse-header">Sản phẩm nhà cung cấp</h6>
                <a class="collapse-item" href="{{route('list.vendor.product')}}">Danh sách</a>
            </div>
        </div>
    </li>
    <li class="nav-item">
        <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#order"
           aria-expanded="true" aria-controls="collapseBootstrap">
            <i class="far fa-angry"></i>
            <span>Quản lý Hóa Đơn</span>
        </a>
        <div id="order" class="collapse" aria-labelledby="headingBootstrap" data-parent="#accordionSidebar">
            <div class="bg-white py-2 collapse-inner rounded">
                <h6 class="collapse-header">Hóa đơn</h6>
                <a class="collapse-item" href="{{route('order.list')}}">Danh sách chưa xử lý</a>
                <a class="collapse-item" href="{{route('Order.list2')}}">Danh sách đã xử lý</a>
            </div>
        </div>
    </li>

    <hr class="sidebar-divider">
    <div class="sidebar-heading">
        Quản lý tài khoản
    </div>
    <li class="nav-item">
        <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#user"
           aria-expanded="true" aria-controls="collapseBootstrap">
            <i class="far fa-grin-stars"></i>            <span>Quản lý tài khoản</span>
        </a>
        <div id="user" class="collapse" aria-labelledby="headingBootstrap" data-parent="#accordionSidebar">
            <div class="bg-white py-2 collapse-inner rounded">
                <h6 class="collapse-header">tài khoản quản trị</h6>

                <a class="collapse-item" href="{{ route('list.user') }}">Danh sách</a>
                <a class="collapse-item" href="{{ route('add.user') }}">Thêm mới tài khoản</a>
            </div>
        </div>
    </li>
    <li class="nav-item">
        <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#role"
           aria-expanded="true" aria-controls="collapseBootstrap">
            <i class="far fa-grin-stars"></i>            <span>Quản lý Roles</span>
        </a>
        <div id="role" class="collapse" aria-labelledby="headingBootstrap" data-parent="#accordionSidebar">
            <div class="bg-white py-2 collapse-inner rounded">
                <h6 class="collapse-header">Quản lý Roles</h6>

                <a class="collapse-item" href="{{ route('roles.index') }}">Danh sách Roles</a>
                <a class="collapse-item" href="{{ route('roles.create') }}">Thêm mới Roles</a>
            </div>
        </div>
    </li>

    <hr class="sidebar-divider">
    <div class="sidebar-heading">
        Quản lý khách hàng
    </div>
    <li class="nav-item">
        <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#customer"
           aria-expanded="true" aria-controls="collapseBootstrap">
           <i class="fas fa-users"></i>
            <span>Quản lý Khách Hàng</span>
        </a>
        <div id="customer" class="collapse" aria-labelledby="headingBootstrap" data-parent="#accordionSidebar">
            <div class="bg-white py-2 collapse-inner rounded">
                <h6 class="collapse-header">Quản Lý Nhà cung cấp</h6>
                <a class="collapse-item" href="{{route('list.vendor')}}">Danh sách vendor</a>

                <h6 class="collapse-header">Quản Lý Khách Hàng</h6>
                <a class="collapse-item" href="{{route('customer.list')}}">Danh sách</a>
                <a class="collapse-item" href="{{route('customer.add')}}">Thêm mới khách hàng</a>
            </div>
        </div>
    </li>
    <li class="nav-item">
        <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#collapsePage" aria-expanded="false" aria-controls="collapsePage">
            <i class="fas fa-fw fa-columns"></i>
            <span>Quản lý liên hệ</span>
        </a>
        <div id="collapsePage" class="collapse hidden" aria-labelledby="headingPage" data-parent="#accordionSidebar" style="">
            <div class="bg-white py-2 collapse-inner rounded">
                <h6 class="collapse-header">Quản lý liên hệ</h6>
                <a class="collapse-item" href="{{ route('contact.list') }}">danh sách</a>
            </div>
        </div>
    </li>

    <hr class="sidebar-divider">
    <div class="sidebar-heading">
        Quản lý giao diện
    </div>
    <li class="nav-item">
        <a class="nav-link" href="{{ route('slider.list') }}">
           <i class="fas fa-users"></i>
            <span>Slider</span>
        </a>
    </li>
    <li class="nav-item">
        <a class="nav-link" href="{{ route('info.show') }}">
            <i class="fab fa-fw fa-wpforms"></i>
            <span>Info Website</span>
        </a>
    </li>

    <hr class="sidebar-divider">
    <div class="sidebar-heading">
        Quản lý Ads
    </div>
    <li class="nav-item">
        <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#ads"
           aria-expanded="true" aria-controls="collapseBootstrap">
            <i class="fas fa-users"></i>
            <span>Quản lý quảng cáo</span>
        </a>
        <div id="ads" class="collapse" aria-labelledby="headingBootstrap" data-parent="#accordionSidebar">
            <div class="bg-white py-2 collapse-inner rounded">
                <h6 class="collapse-header">Danh sách quảng cáo</h6>
                <a class="collapse-item" href="{{route('ads.list')}}">Danh sách</a>
                <h6 class="collapse-header">Thêm quảng cáo</h6>
                <a class="collapse-item" href="{{route('ads.add')}}">Thêm</a>
            </div>
        </div>
    </li>

</ul>